-- Quest Cache Table.  Move to player UI once I learn how to do so for better control of their stuff.
local QuestTable = {
	[45540] = false,	-- A Call From The Caverns, test function.
    [46743] = true, 	-- Supplies From Highmountain
    [46745] = true, 	-- Supplies From the Court
    [46746] = true, 	-- Supplies From the Valarjar
    [46747] = true, 	-- Supplies From the Dreamweavers
    [46748] = true, 	-- Supplies From the Nightfallen
    [46749] = true, 	-- Supplies From the Wardens
	[46777] = true, 	-- The Bounties of Legionfall
    [46800] = true, 	-- Paragon of the Wardens
}

-- Quest Cache Function.  Use this to let the player know that they have a new rep cache waiting for them.  
local QuestFrame = CreateFrame("Frame")
QuestFrame:RegisterEvent("QUEST_ACCEPTED")
QuestFrame:SetScript("OnEvent", function(self, event, questIndex)
    local title, level, _, _, _, _, _, questID = GetQuestLogTitle(questIndex)
    if QuestTable[questID] then
		local text = format("New Cache Quest added to your log:\n" ..title.. "\n\nID #:" ..questID)
        message(text)
        print(text)
    end
end)

-- UNUSED CODE (for later reference) --
	-- local text = format("New Cache Quest added to your log: %s [%d] %d", title, level, questID)
	
	-- local title, level, suggestedGroup, isHeader, isCollapsed, isComplete, frequency, questID, startEvent, displayQuestID, isOnMap, hasLocalPOI, isTask, isStory, isHidden = GetQuestLogTitle(arg1)
	
	
	
